LibreOffice: XDTDHandler Interface Reference

LibreOffice LibreOffice 7.0 SDK API Reference

Public Member Functions | List of all members
XDTDHandler Interface Referencepublished

receives events according to the DTD of the document. More...

`import"XDTDHandler.idl";`

Inheritance diagram for XDTDHandler:

## Public Member Functions
void | notationDecl ([in] string sName, [in] string sPublicId, [in] string sSystemId)
| receives notification of a notation declaration event. More...
void | unparsedEntityDecl ([in] string sName, [in] string sPublicId, [in] string sSystemId, [in] string sNotationName)
| receives notification of an unparsed entity declaration event. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events according to the DTD of the document.

The SAX parser may report these events in any order, regardless of the order in which the notations and unparsed entities were declared; however, all DTD events must be reported after the document handler's `startDocument` event, and before the first `startElement` event. It is up to the application to store the information for future use (perhaps in a hash table or object tree). If the application encounters attributes of type "NOTATION", "ENTITY", or "ENTITIES", it can use the information that it obtained through this interface to find the entity and/or notation that corresponds with the attribute value.

## Member Function Documentation

## ◆ notationDecl()

void notationDecl | ( | [in] string | sName,
|  | [in] string | sPublicId,
|  | [in] string | sSystemId
| ) |  |

receives notification of a notation declaration event.

## ◆ unparsedEntityDecl()

void unparsedEntityDecl | ( | [in] string | sName,
|  | [in] string | sPublicId,
|  | [in] string | sSystemId,
|  | [in] string | sNotationName
| ) |  |

receives notification of an unparsed entity declaration event.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XDTDHandler.idl